- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Members

# Mesh Class Reference

Collaboration diagram for Mesh:
[legend]
List of all members.

## Public Member Functions
| Mesh ()
| Mesh (int vertices, int triangles)
| Mesh (const char *fileName)
| Mesh (const Mesh &m)
| ~Mesh ()
void | load (const char *fileName)
Vertex & | getVertex (int i)
Triangle & | getTriangle (int i)
Edge & | getEdge (int i)
Surface & | getSurface (int i)
int | getVertexCount () const
int | getTriangleCount () const
int | getEdgeCount () const
int | getSurfaceCount () const
std::vector< Vertex > & | getVertices ()
std::vector< Triangle > & | getTriangles ()
std::vector< Edge > & | getEdges ()
std::vector< Surface > & | getSurfaces ()
const Vector3 & | getBoundingBoxMin () const
const Vector3 & | getBoundingBoxMax () const
float | getBoundingRadius () const
void | calculateAdjacency ()
void | setTriangleUsing ()
void | calculateNormals ()
void | setParametrization ()
void | subdivide (int n)
void | calculateBoundingBox ()
const std::vector< ventry > & | get1Neighbourhood (int ver, int &valence, bool &boundary, int &left, int &right)
## Protected Member Functions
UINT32 | readID4 ()
int | readI1 ()
int | readI2 ()
int | readI4 ()
UINT8 | readU1 ()
UINT16 | readU2 ()
UINT32 | readU4 ()
float | readF4 ()
const char * | readS0 ()
UINT32 | readVX ()
Vector3 | readCOL12 ()
Vector3 | readVEC12 ()
void | loadLW5 ()
void | loadLW6 ()
## Protected Attributes
std::vector< Vertex > | m_vertices
std::vector< Triangle > | m_triangles
std::vector< Edge > | m_edges
std::vector< Surface > | m_surfaces
std::string | m_filename
Vector3 | m_boundingBoxMin
Vector3 | m_boundingBoxMax
float | m_boundingRadius
int | m_ambiguousNeighbours
bool | m_adjacencyCalculated
## Static Protected Attributes
static UINT8 * | m_fileptr
static UINT8 * | m_nextchunkptr
static UINT8 * | m_nextsubchunkptr
static UINT8 * | m_fileend
static UINT8 * | m_readptr
## Classes
struct | Edge
struct | Surface
struct | Triangle
struct | ventry
struct | Vertex

## Detailed Description

Definition at line 12 of file Mesh.h.

The documentation for this class was generated from the following files:

- VCRA-SZCZERBACKI-PointBasedRendering/Mesh.h
- VCRA-SZCZERBACKI-PointBasedRendering/lwo5.cpp
- VCRA-SZCZERBACKI-PointBasedRendering/lwo6.cpp
- VCRA-SZCZERBACKI-PointBasedRendering/Mesh.cpp